JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::midi_ci::EncodingUtils Struct Reference
juce_midi_ci » ci

Utility functions for working with the Encoding enum. More...

`#include <juce_CIEncoding.h>`

## Public Member Functions
| EncodingUtils ()=delete

## Static Public Member Functions
static const char * | toString (Encoding e)
| Converts an Encoding to a human-readable string.
static std::optional< Encoding > | toEncoding (const char *str)
| Converts an encoding string from a property exchange JSON header to an Encoding.

## Detailed Description

Utility functions for working with the Encoding enum.

## Constructor & Destructor Documentation

## ◆ EncodingUtils()

juce::midi_ci::EncodingUtils::EncodingUtils | ( |  | ) |
| delete

## Member Function Documentation

## ◆ toString()

static const char * juce::midi_ci::EncodingUtils::toString | ( | Encoding | e | ) |
| static

Converts an Encoding to a human-readable string.

References JUCE_ENCODINGS.

## ◆ toEncoding()

static std::optional< Encoding > juce::midi_ci::EncodingUtils::toEncoding | ( | const char * | str | ) |
| static

Converts an encoding string from a property exchange JSON header to an Encoding.

References JUCE_ENCODINGS.

The documentation for this struct was generated from the following file:

- juce_CIEncoding.h